# Copyright (C) 2010-2023 RhodeCode GmbH
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License, version 3
# (only), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# This program is dual-licensed. If you wish to learn more about the
# RhodeCode Enterprise Edition, including its added features, Support services,
# and proprietary license terms, please see https://rhodecode.com/licenses/

from rhodecode.lib.hook_daemon.base import BaseHooksCallbackDaemon


class CeleryHooksCallbackDaemon(BaseHooksCallbackDaemon):
    """
    Context manger for achieving a compatibility with celery backend
    """

    def __init__(self, config):
        # TODO: replace this with settings bootstrapped...
        self.task_queue = config.get('app:main', 'celery.broker_url')
        self.task_backend = config.get('app:main', 'celery.result_backend')
